package dev.dinauer.maven.maven.core.context;

import dev.dinauer.maven.maven.shared.Extensions;

public class ArtifactContext
{
    private final Extensions extensions;
    private final String groupId;
    private final String artifactId;
    private final String filename;

    public ArtifactContext(Extensions extensions, String groupId, String artifactId, String filename)
    {
        this.extensions = extensions;
        this.groupId = groupId;
        this.artifactId = artifactId;
        this.filename = filename;
    }

    public Extensions extensions()
    {
        return extensions;
    }

    public String groupId()
    {
        return groupId;
    }

    public String artifactId()
    {
        return artifactId;
    }

    public String filename()
    {
        return filename;
    }
}
